Subject: [PATCH v4 2/3] ARM: mvebu: Add quirk for i2c

From: [email-masked] (Wolfram Sang)
Date: Wed, 8 Jan 2014 14:39:59 +0100

> >>>> However, when I first read this I thought it should be a -a0 specific
> >>>> compatible string, not a 'offload-broken' property - any idea what the
> >>>> DT consensus is here? I've seen both approach in use ..
> >>>
> >>> I prefer the replacement of the compatible string. If it should really
> >>> be a seperate property, then it should be a vendor specific property. It
> >>> is not generic, at all.
> >>
> >> Something like "marvell,offload-broken" would be acceptable?
> > 
> > A tad more, yes. Still, since this is a feature/quirk of the IP core
> > revision, it should be deduced from the compatible property IMO. It
> > cannot be configured anywhere, so it doesn't change on board level.
> 
> So you would prefer using the "marvell,mv78230-a0-i2c" comaptible string and
> updating it with the follwing piece of code?

This is the approach I favour, yes. Can't say much about the
implementation. Looks OK, but dunno if this is minimal...

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 836 bytes
Desc: Digital signature
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20140108/119e6c21/attachment.sig>